## com.baidubce.services.vod.model
Class MediaResource

    java.lang.Object
      com.baidubce.services.vod.model.MediaResource

    public class MediaResource

extends Object

Constructor Summary
`MediaResource()`

Method Summary
`Attributes` `getAttributes()`
`String` `getCreateTime()`
`String` `getMediaId()`
`MediaMeta` `getMeta()`
`String` `getPublishTime()`
`String` `getStatus()`
`void` `setAttributes(Attributes attributes)`
`void` `setCreateTime(String createTime)`
`void` `setMediaId(String mediaId)`
`void` `setMeta(MediaMeta meta)`
`void` `setPublishTime(String publishTime)`
`void` `setStatus(String status)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediaResource

    public MediaResource()

Method Detail

### getMediaId

    public String getMediaId()

### setMediaId

    public void setMediaId(String mediaId)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getMeta

    public MediaMeta getMeta()

### setMeta

    public void setMeta(MediaMeta meta)

### getPublishTime

    public String getPublishTime()

### setPublishTime

    public void setPublishTime(String publishTime)

### getCreateTime

    public String getCreateTime()

### setCreateTime

    public void setCreateTime(String createTime)

### getAttributes

    public Attributes getAttributes()

### setAttributes

    public void setAttributes(Attributes attributes)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.